# Determine Project Identifier Projects aggregate resources required for your end-customer or internal projects needs. When you place an order for a product asset, you must specify the project that the asset instance will be assigned to. Retrieve projects to determine the project identifier. ![](https://docs.equinix.com/assets/images/crhDetermineProjectIdentifier-d80a324f611f5277faf39e36c0d1f2c6.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. ## Getting a Project Identifier[​](#getting-a-project-identifier "Direct link to Getting a Project Identifier") To get a Project ID, send a `GET` request to the [`/resourceManager/v2/projects`](https://docs.equinix.com/api-catalog/getprojectsv2/project.md) endpoint. Sample Request: ``` curl -X GET 'https://api.equinix.com/resourceManager/v2/projects?includePermissions=true&includeInbox=true' -H 'authorization: Bearer ' ``` Sample response: ``` {     "pagination": {         "offset": 0,         "limit": 20,         "total": 2     },     "data": [         {             "projectId": "1234",             "projectName": "Top Secret Project",             "labels": {                 "application": "Network Edge"             },             "parentOrganizationId": "1234",             "resourceSubType": "END_CUSTOMER",             "rootOrgId": "316481000362970",             "inboxResource": false,             "silentProject": false,             "permissions": [                 {                     "actions": [                         "networkedge.acl.view",                         "networkedge.acl.create",                         "networkedge.acl.modify"                     ],                     "resourceType": "ACL"                 },                 {                     "actions": [                         "fabric.port.read"                     ],                     "resourceType": "PORT"                 }             ]         },         {             "projectId": "5678",             "projectName": "Potato Inc. Project",             "labels": {                 "application": "Network Edge"             },                          "parentOrganizationId": "1234",             "resourceSubType": "END_CUSTOMER",             "rootOrgId": "316481000362970",             "inboxResource": false,             "silentProject": false,             "permissions": [                 {                     "actions": [                         "networkedge.l2connection.view",                         "fabric.l2connection.read",                         "networkedge.l2connection.create",                         "networkedge.l2connection.delete",                         "networkedge.l2connection.modify"                     ],                     "resourceType": "L2_CONNECTION"                 }             ]         }     ] } ``` Only projects with `silentProject` attribute set to `false` can be used for ordering product assets. Use the product-specific create API request to place an order. Make sure to include project identifier you retrieved.